Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest	(revision 88)
@@ -8,7 +8,7 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_BIN				= bin
-DIR_LIB				= ../lib
-DIR_CFG_GEN			= configuration_generated
+DIR_BIN				= $(DIR_TMP)/bin
+DIR_LIB                         = ../lib
+DIR_CFG_GEN			= $(DIR_TMP)/configuration_generated
 DIR_CFG_USER			= configuration
 DIR_LOG				= log
@@ -34,7 +34,7 @@
 				@\
 				$(MAKE) library;\
-				$(MAKE) $(DIR_BIN)/$(EXEC).x;
-
-execute				: all_selftest
+                                $(MAKE) $(DIR_BIN)/$(EXEC).x;
+
+execute_only                    : 
 				@\
 				$(MAKE) $(EXEC_LOG);					\
@@ -45,5 +45,7 @@
 				    $(GREP) -q "Test KO" $$i;				\
 				    declare -i test_ko=$$?;				\
-				    if $(TEST) $$test_ko -eq 0 -o $$test_ok -ne 0;	\
+				    $(GREP) -q "ERROR" $$i;				\
+				    declare -i test_error=$$?;				\
+				    if $(TEST) $$test_ko -eq 0 -o $$test_error -eq 0 -o $$test_ok -ne 0; \
 				    then all_ok=0;	    	     	       	   	\
 				    fi;							\
@@ -54,4 +56,8 @@
 				fi;
 
+execute				: all_selftest
+				@\
+				$(MAKE) execute_only;
+
 reconfig			:
 				@\
@@ -74,15 +80,44 @@
 				fi;													\
 																	\
-				for file in $$files; do											\
-																	\
+				declare -i NB_CONFIG=0;											\
+				declare -i NB_DIGIT=0;	 										\
+																	\
+				for file in $${files}; do										\
+					declare -ai PERIOD=();										\
+					declare -i  IT=0; 										\
+																	\
+					PERIOD[0]=1;											\
+																	\
+					while read line; do										\
+					        declare -a LINE=($${line});								\
+																	\
+						if $(TEST) $${IT} -ne 0; then 								\
+							declare -a RANGE_LOCAL=($$($(DIR_SCRIPT)/range.sh $${LINE[0]} $${LINE[1]} $${LINE[2]}));	\
+							declare -i SIZE=$${#RANGE_LOCAL[*]};						\
+							PERIOD[$${IT}]=$$(($${PERIOD[$$(($${IT}-1))]}*$${SIZE}));			\
+						fi;											\
+																	\
+						IT=$$(($${IT}+1));									\
+					done < $${file};										\
+																	\
+					NB_CONFIG=$$(($${NB_CONFIG} + $${PERIOD[$$(($${IT}-1))]}));					\
+				done;													\
+																	\
+ 				$(ECHO) " * They are $${NB_CONFIG} configurations";							\
+																	\
+				declare -i x=$${NB_CONFIG};										\
+																	\
+				while test $${x} -ne 0; do										\
+					NB_DIGIT=$$(($${NB_DIGIT} + 1));								\
+					x=$$(($${x} / 10));										\
+				done;													\
+																	\
+				for file in $${files}; do										\
 					declare     NAME;										\
-					declare -ai MIN ;										\
-					declare -ai MAX ;										\
-					declare -a  STEP; 										\
-					declare -a  LINE; 										\
-					declare -ai PERIOD;										\
-					declare -a  RANGE;										\
-					declare -a  RANGE_LOCAL;									\
-					declare -a  SIZE;										\
+					declare -ai MIN=();										\
+					declare -ai PERIOD=();										\
+					declare -a  RANGE_LOCAL=();									\
+					declare -a  RANGE=();										\
+					declare -a  SIZE=();										\
 					declare -i  IT=0; 										\
 																	\
@@ -90,40 +125,39 @@
 																	\
 					while read line; do										\
-					        LINE=($$line);										\
-																	\
-						if $(TEST) $$IT -eq 0; then 								\
+					        declare -a LINE=($${line});								\
+																	\
+						if $(TEST) $${IT} -eq 0; then 								\
 							NAME=$${LINE[0]};								\
 						else											\
-							MIN[$$IT]=$${LINE[0]};								\
-							MAX[$$IT]=$${LINE[1]};								\
-							STEP[$$IT]=$${LINE[2]};								\
-							RANGE[$$IT]=$$($(DIR_SCRIPT)/range.sh $${LINE[0]} $${LINE[1]} $${LINE[2]});	\
-							RANGE_LOCAL=($${RANGE[$$IT]});							\
-							SIZE[$$IT]=$${#RANGE_LOCAL[*]};							\
-							PERIOD[$$IT]=$$(($${PERIOD[$$(($$IT-1))]}*$${SIZE[$$IT]}));			\
+							MIN[$${IT}]=$${LINE[0]};							\
+							RANGE[$${IT}]=$$($(DIR_SCRIPT)/range.sh $${LINE[0]} $${LINE[1]} $${LINE[2]});	\
+							RANGE_LOCAL=($${RANGE[$${IT}]});						\
+							SIZE[$${IT}]=$${#RANGE_LOCAL[*]};						\
+							PERIOD[$${IT}]=$$(($${PERIOD[$$(($${IT}-1))]}*$${SIZE[$${IT}]}));		\
 						fi;											\
 																	\
-						IT=$$(($$IT+1));									\
-					done < $$file;											\
-																	\
-					declare -i x;											\
-					declare -a DATA;										\
-					declare -ai ENUM_CONFIG=($$($(DIR_SCRIPT)/range.sh 0 $$(($${PERIOD[$$(($$IT-1))]}-1))));	\
+						IT=$$(($${IT}+1));									\
+					done < $${file};										\
+																	\
+					declare -a  DATA=();										\
+					declare -ai ENUM_CONFIG=($$($(DIR_SCRIPT)/range.sh 0 $$(($${PERIOD[$$(($${IT}-1))]}-1))));	\
 					declare -ai ENUM_PARAM=($$($(DIR_SCRIPT)/range.sh 1 $${#MIN[*]}));            			\
+					declare -i  NB_PARAM=$${#MIN[*]};								\
 																	\
 					$(ECHO) " * File : $$file";									\
- 					$(ECHO) "   * They are $${#MIN[*]} parameters";							\
- 					$(ECHO) "   * Generate $${PERIOD[$$(($$IT-1))]} configurations";				\
+ 					$(ECHO) "   * They are $${NB_PARAM} parameters";						\
+ 					$(ECHO) "   * Generate $${PERIOD[$$(($${IT}-1))]} configurations";				\
 																	\
 					for i in $${ENUM_CONFIG[*]}; do									\
 						x=$$i;											\
 						for j in $${ENUM_PARAM[*]}; do								\
-							RANGE_LOCAL=($${RANGE[$$j]});							\
+							declare -a RANGE_LOCAL=($${RANGE[$$j]});							\
 							DATA[$$j]="$${RANGE_LOCAL[$$((($$x % $${SIZE[$$j]})))]} ";			\
 							x=$$(($$x/$${SIZE[$$j]})); 							\
 						done;											\
-						$(ECHO) $${DATA[*]} > "$(DIR_CFG_GEN)/$${NAME}_$$CPT.cfg";				\
-						$(ECHO) "   - {$$CPT} $${DATA[*]}";							\
-						CPT=$$(($$CPT+1));									\
+						declare NUM=$$($(PRINTF) %.$${NB_DIGIT}d $${CPT}); 					\
+						$(ECHO) $${DATA[*]} > "$(DIR_CFG_GEN)/$${NAME}_$${NUM}.cfg";				\
+						$(ECHO) "   - {$${NUM}} $${DATA[*]}";							\
+						CPT=$$(($${CPT}+1));									\
 					done;												\
 				done;
@@ -132,5 +166,5 @@
 				@\
 				$(ECHO) "Execute            : $*";\
-				export SYSTEMC=$(SYSTEMC_$(SIMULATOR)) ; $(EXEC_PREFIX) ./$(DIR_BIN)/$(EXEC).x $(EXEC_PARAMS) $* `$(CAT) $<` &> $@; \
+				export SYSTEMC=$(SYSTEMC_$(SIMULATOR)); $(EXEC_PREFIX) $(DIR_BIN)/$(EXEC).x $(EXEC_PARAMS) $* `$(CAT) $<` &> $@; \
 				declare timing=`$(GREP) -h "Timing"  $@`;		\
 				$(GREP) -q "Test OK" $@; 				\
@@ -138,5 +172,7 @@
 				$(GREP) -q "Test KO" $@; 				\
 				declare -i test_ko=$$?;					\
-				if $(TEST) $$test_ko -ne 0 -a $$test_ok -eq 0;		\
+				$(GREP) -q "ERROR" $@;				        \
+				declare -i test_error=$$?;				\
+				if $(TEST) $$test_ko -ne 0 -a $$test_error -ne 0 -a $$test_ok -eq 0; \
 				then echo -e "                     $* ... OK\t$$timing";\
 				else echo    "                     $* ... KO";          \
@@ -146,5 +182,5 @@
 				@\
 				$(ECHO) "Execute            : $*";\
-				export SYSTEMC=$(SYSTEMC_$(SIMULATOR)) ; $(EXEC_PREFIX) ./$(DIR_BIN)/$(EXEC).x $(EXEC_PARAMS) $* `$(CAT) $<` &> $@; \
+				export SYSTEMC=$(SYSTEMC_$(SIMULATOR)); $(EXEC_PREFIX) $(DIR_BIN)/$(EXEC).x $(EXEC_PARAMS) $* `$(CAT) $<` &> $@; \
 				declare timing=`$(GREP) -h "Timing"  $@`;		\
 				$(GREP) -q "Test OK" $@; 				\
@@ -152,7 +188,9 @@
 				$(GREP) -q "Test KO" $@; 				\
 				declare -i test_ko=$$?;					\
-				if $(TEST) $$test_ko -ne 0 -a $$test_ok -eq 0;		\
-				then echo -e "                     $* ... OK\t$$timing";\
-				else echo    "                     $* ... KO";		\
+				$(GREP) -q "ERROR" $@;				        \
+				declare -i test_error=$$?;				\
+				if $(TEST) $$test_ko -ne 0 -a $$test_error -ne 0 -a $$test_ok -eq 0; \
+				then $(ECHO) -e "                     $* ... OK\t$$timing";\
+				else $(ECHO)    "                     $* ... KO";	   \
 				fi;
 
@@ -162,4 +200,9 @@
 				$(CXX) $(LFLAGS) -o $@ $(OBJECTS) $(LIBS);
 
+$(DIR_LIB)			:
+				@\
+				$(ECHO) "Create directory   : $@";\
+				$(MKDIR) $@;
+
 $(DIR_BIN)			:
 				@\
@@ -177,7 +220,5 @@
 				$(MKDIR) $@;
 
-selftest_clean_all		: library_clean
-				
-selftest_clean			: config_clean 
+selftest_clean			: local_clean config_clean 
 				@$(RM) 	$(DIR_LOG)		\
 					$(DIR_CFG_USER)/*~	\
@@ -185,8 +226,13 @@
 					*.pos			\
 					*.stat			\
+					*.log 			\
 					*.dot 			\
 					*.txt			\
 					generated_by_systemcass \
+                                        semantic.cache          \
 					core*;
+
+selftest_clean_all		: library_clean
+				
 
 selftest_help			:
@@ -196,4 +242,5 @@
 				$(ECHO) " * all_selftest         : compile all c++ file and execute";\
 				$(ECHO) " * execute              : execute all instance";\
+				$(ECHO) " * execute_only         : execute all instance without rebuild all libraries";\
 				$(ECHO) " * config               : generate configuration with configuration's file" ;\
 				$(ECHO) " * reconfig             : regenerate configuration with configuration's file" ;\
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Synthesis
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Synthesis	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Synthesis	(revision 88)
@@ -87,4 +87,6 @@
 				$(RM) $(DIR_WORK) transcript Makefile.mkf $(FPGA_CFG_FILE_LOCAL) *.wlf;
 
+synthesis_clean_all		: synthesis_clean
+
 synthesis_help			:
 				@\
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.flags
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.flags	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.flags	(revision 88)
@@ -5,38 +5,7 @@
 # 
 
-#-----[ Simulator ]----------------------------------------
-SIMULATOR			= systemcass
-#SIMULATOR			= systemc
-
-# 3 simulators :
-# systemc			- SystemC    
-# systemcass 			- SystemCASS
-# systemcass_deps		- Systemcass, and use port dependency information instead of sensitivity list
-
-#-----[ Flags ]--------------------------------------------
-MORPHEO_FLAGS			=	-DSYSTEMC		\
-					-DSTATISTICS 		\
-					-DDEBUG=DEBUG_TRACE
-
-#					-DVHDL			\
-#  					-DVHDL_TESTBENCH	\
-#					-DVHDL_TESTBENCH_ASSERT	\
-#					-DPOSITION       	\
-#					-DNO_TRANSLATION 	\
-
-# Flags :
-# DEBUG={level}                           - Print Debug Message
-# SYSTEMC                                 - To generate a systemc's model
-# VHDL                                    - To generate a vhdl's    models
-# VHDL_TESTBENCH        (need SYSTEMC)    - In the simulation, generate two testbench's file (input and ouput) to validate the vhdl's model
-# VHDL_TESTBENCH_ASSERT (need SYSTEMC)    - In the simulation, generate in  testbench's file an serie of assert
-# POSITION                                - To generate a position's files     (it's input of viewer)
-# STATISTICS            (need SYSTEMC)    - In the simulation, generate a statistics's file
-# INFORMATION           (need STATISTICS) - Instance Information :
-#                                             * Static    : at the instance creation
-#                                                * register number
-#                                                * worst way
-#                                             * Dynamique : at the runtime
-#                                                * consomation
-# NO_TRANSLATION		          - No translate message
-# NO_INIT				  - No init a lot of register
+ifeq ($(origin MORPHEO_TOPLEVEL), undefined)
+	$(error "variable MORPHEO_TOPLEVEL is undefined");
+else
+	include $(MORPHEO_TOPLEVEL)/Makefile.flags
+endif
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/Makefile	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/Makefile	(revision 88)
@@ -24,4 +24,6 @@
 library_clean			: @COMPONENT_library_clean
 
+local_clean			:
+
 include                         $(DIR_COMPONENT)/Makefile.deps
 include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/main.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/main.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/main.cpp	(revision 88)
@@ -37,7 +37,8 @@
       morpheo::behavioural::@NAMESPACE_USE::Parameters * param = new morpheo::behavioural::@NAMESPACE_USE::Parameters
 	(
+         true //is_toplevel
         );
       
-      msg(_("%s"),param->print(1).c_str());
+      msg(_("%s"),param->print(0).c_str());
       
       test (name,param);
@@ -58,5 +59,5 @@
   catch (morpheo::ErrorMorpheo & error)
     {
-      msg (_("<%s> :\n%s"),name.c_str(), error.what ());
+//       msg (_("<%s> :\n%s"),name.c_str(), error.what ());
       _return = EXIT_FAILURE;
     }
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/test.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/test.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/test.cpp	(revision 88)
@@ -14,4 +14,7 @@
 {
   msg(_("<%s> : Simulation SystemC.\n"),name.c_str());
+
+  if (setlocale (LC_ALL, "") == NULL)
+    msg(_("setlocale ko.\n"));
 
 #ifdef STATISTICS
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Parameters.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Parameters.h	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Parameters.h	(revision 88)
@@ -21,7 +21,9 @@
 
     //-----[ methods ]-----------------------------------------------------------
-  public : Parameters  ();
-//   public : Parameters  (Parameters & param) ;
-  public : ~Parameters () ;
+  public : Parameters  (bool is_toplevel=false);
+//public : Parameters  (Parameters & param) ;
+  public : ~Parameters (void);
+
+  public :        void            copy       (void);
 
   public :        Parameters_test msg_error  (void);
@@ -29,5 +31,5 @@
   public :        std::string     print      (uint32_t depth);
   public : friend std::ostream&   operator<< (std::ostream& output_stream,
-					    morpheo::behavioural::@NAMESPACE_USE::Parameters & x);
+                                              morpheo::behavioural::@NAMESPACE_USE::Parameters & x);
   };
 
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component.cpp	(revision 88)
@@ -35,5 +35,5 @@
     usage_environment(_usage);
 
-    log_printf(INFO,@COMPONENT,FUNCTION,_("Allocation"));
+    log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Allocation"),_name.c_str());
 
     allocation (
@@ -46,5 +46,5 @@
     if (usage_is_set(_usage,USE_STATISTICS))
       {	
-	log_printf(INFO,@COMPONENT,FUNCTION,_("Allocation of statistics"));
+	log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Allocation of statistics"),_name.c_str());
 
 	statistics_allocation(param_statistics);
@@ -56,5 +56,5 @@
       {
 	// generate the vhdl
-	log_printf(INFO,@COMPONENT,FUNCTION,_("Generate the vhdl"));
+	log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Generate the vhdl"),_name.c_str());
 	
 	vhdl();
@@ -65,5 +65,5 @@
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
-	log_printf(INFO,@COMPONENT,FUNCTION,_("Method - transition"));
+	log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Method - transition"),_name.c_str());
 
 	SC_METHOD (transition);
@@ -74,4 +74,14 @@
 	// List dependency information
 # endif    
+
+// 	log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Method - genMoore"),_name.c_str());
+
+// 	SC_METHOD (genMoore);
+// 	dont_initialize ();
+// 	sensitive << (*(in_CLOCK)).neg(); // need internal register
+	
+// # ifdef SYSTEMCASS_SPECIFIC
+// 	// List dependency information
+// # endif    
 	
 #endif
@@ -93,5 +103,5 @@
 #endif
 
-    log_printf(INFO,@COMPONENT,FUNCTION,_("Deallocation"));
+    log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Deallocation"),_name.c_str());
     deallocation ();
 
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_deallocation.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_deallocation.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/New_Component_statistics_deallocation.cpp	(revision 88)
@@ -19,5 +19,5 @@
     log_begin(@COMPONENT,FUNCTION);
 
-    log_printf(INFO,@COMPONENT,FUNCTION,_("Generate Statistics file"));
+    log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Generate Statistics file"),_name.c_str());
     
     delete _stat;
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/src/Parameters.cpp	(revision 88)
@@ -14,8 +14,15 @@
 #undef  FUNCTION
 #define FUNCTION "@COMPONENT::Parameters"
-  Parameters::Parameters ()
+  Parameters::Parameters (bool is_toplevel)
   {
     log_begin(@COMPONENT,FUNCTION);
+
     test();
+
+    if (is_toplevel)
+      {
+        copy();
+      }
+
     log_end(@COMPONENT,FUNCTION);
   };
@@ -32,5 +39,13 @@
 #undef  FUNCTION
 #define FUNCTION "@COMPONENT::~Parameters"
-  Parameters::~Parameters () 
+  Parameters::~Parameters (void) 
+  {
+    log_begin(@COMPONENT,FUNCTION);
+    log_end(@COMPONENT,FUNCTION);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::copy"
+  void Parameters::copy (void) 
   {
     log_begin(@COMPONENT,FUNCTION);
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/Makefile	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/Makefile	(revision 88)
@@ -24,4 +24,6 @@
 library_clean			: @COMPONENT_library_clean
 
+local_clean			:
+
 include                         $(DIR_COMPONENT)/Makefile.deps
 include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/src/main.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/src/main.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/src/main.cpp	(revision 88)
@@ -37,7 +37,8 @@
       morpheo::behavioural::@NAMESPACE_USE::Parameters * param = new morpheo::behavioural::@NAMESPACE_USE::Parameters
 	(
+         true // is_toplevel
         );
       
-      msg(_("%s"),param->print(1).c_str());
+      msg(_("%s"),param->print(0).c_str());
       
       test (name,param);
@@ -58,5 +59,5 @@
   catch (morpheo::ErrorMorpheo & error)
     {
-      msg (_("<%s> :\n%s"),name.c_str(), error.what ());
+//       msg (_("<%s> :\n%s"),name.c_str(), error.what ());
       _return = EXIT_FAILURE;
     }
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/src/test.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/src/test.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/SelfTest/src/test.cpp	(revision 88)
@@ -14,4 +14,7 @@
 {
   msg(_("<%s> : Simulation SystemC.\n"),name.c_str());
+  
+  if (setlocale (LC_ALL, "") == NULL)
+    msg(_("setlocale ko.\n"));
 
 #ifdef STATISTICS
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/include/Parameters.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/include/Parameters.h	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/include/Parameters.h	(revision 88)
@@ -21,13 +21,15 @@
 
     //-----[ methods ]-----------------------------------------------------------
-  public : Parameters  ();
-//   public : Parameters  (Parameters & param) ;
-  public : ~Parameters () ;
+  public : Parameters  (bool is_toplevel=false);
+//public : Parameters  (Parameters & param) ;
+  public : ~Parameters (void);
+
+  public :        void            copy       (void);
 
   public :        Parameters_test msg_error  (void);
 
   public :        std::string     print      (uint32_t depth);
-  public : friend std::ostream&   operator<< (std::ostream& output_stream,
-					    morpheo::behavioural::@NAMESPACE_USE::Parameters & x);
+  public : friend std::ostream&   operator<< (std::ostream& output,
+                                              morpheo::behavioural::@NAMESPACE_USE::Parameters & x);
   };
 
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/New_Component.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/New_Component.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/New_Component.cpp	(revision 88)
@@ -35,5 +35,5 @@
     usage_environment(_usage);
 
-    log_printf(INFO,@COMPONENT,FUNCTION,_("Allocation"));
+    log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Allocation"),_name.c_str());
 
     allocation (
@@ -46,5 +46,5 @@
     if (usage_is_set(_usage,USE_STATISTICS))
       {	
-	log_printf(INFO,@COMPONENT,FUNCTION,_("Allocation of statistics"));
+	log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Allocation of statistics"),_name.c_str());
 
 	statistics_allocation(param_statistics);
@@ -56,5 +56,5 @@
       {
 	// generate the vhdl
-	log_printf(INFO,@COMPONENT,FUNCTION,_("Generate the vhdl"));
+	log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Generate the vhdl"),_name.c_str());
 	
 	vhdl();
@@ -65,5 +65,5 @@
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
-	log_printf(INFO,@COMPONENT,FUNCTION,_("Method - transition"));
+	log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Method - transition"),_name.c_str());
 
 	SC_METHOD (transition);
@@ -93,5 +93,5 @@
 #endif
 
-    log_printf(INFO,@COMPONENT,FUNCTION,_("Deallocation"));
+    log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Deallocation"),_name.c_str());
     deallocation ();
 
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/New_Component_statistics_deallocation.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/New_Component_statistics_deallocation.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/New_Component_statistics_deallocation.cpp	(revision 88)
@@ -19,5 +19,5 @@
     log_begin(@COMPONENT,FUNCTION);
 
-    log_printf(INFO,@COMPONENT,FUNCTION,_("Generate Statistics file"));
+    log_printf(INFO,@COMPONENT,FUNCTION,_("<%s> : Generate Statistics file"),_name.c_str());
     
     delete _stat;
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/Parameters.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/Parameters.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vst/src/Parameters.cpp	(revision 88)
@@ -14,8 +14,15 @@
 #undef  FUNCTION
 #define FUNCTION "@COMPONENT::Parameters"
-  Parameters::Parameters ()
+  Parameters::Parameters (bool is_toplevel)
   {
     log_begin(@COMPONENT,FUNCTION);
+
     test();
+
+    if (is_toplevel)
+      {
+        copy();
+      }
+
     log_end(@COMPONENT,FUNCTION);
   };
@@ -32,5 +39,13 @@
 #undef  FUNCTION
 #define FUNCTION "@COMPONENT::~Parameters"
-  Parameters::~Parameters () 
+  Parameters::~Parameters (void) 
+  {
+    log_begin(@COMPONENT,FUNCTION);
+    log_end(@COMPONENT,FUNCTION);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "@COMPONENT::copy"
+  void Parameters::copy (void) 
   {
     log_begin(@COMPONENT,FUNCTION);
